apiVersion: v1
kind: ConfigMap
metadata:
  name: photoprism-env
  annotations:
    reloader.stakater.com/match: "true"
data:
  PHOTOPRISM_ADMIN_PASSWORD: insecure
  PHOTOPRISM_ADMIN_USER: admin
  PHOTOPRISM_AUTH_MODE: password
  PHOTOPRISM_DATABASE_DRIVER: mysql
  PHOTOPRISM_DATABASE_NAME: photoprism
  #PHOTOPRISM_DATABASE_PASSWORD: insecure
  PHOTOPRISM_DATABASE_SERVER: mariadb.database.svc.cluster.local:3306
  PHOTOPRISM_DATABASE_USER: photoprism
  PHOTOPRISM_DEFAULT_TLS: "true"
  PHOTOPRISM_DETECT_NSFW: "false"
  PHOTOPRISM_DISABLE_CHOWN: "false"
  PHOTOPRISM_DISABLE_CLASSIFICATION: "false"
  PHOTOPRISM_DISABLE_FACES: "false"
  PHOTOPRISM_DISABLE_RAW: "false"
  PHOTOPRISM_DISABLE_SETTINGS: "false"
  PHOTOPRISM_DISABLE_TENSORFLOW: "false"
  PHOTOPRISM_DISABLE_TLS: "false"
  PHOTOPRISM_DISABLE_VECTORS: "false"
  PHOTOPRISM_DISABLE_WEBDAV: "false"
  PHOTOPRISM_EXPERIMENTAL: "false"
  PHOTOPRISM_HTTP_COMPRESSION: gzip
  PHOTOPRISM_JPEG_QUALITY: "85"
  PHOTOPRISM_LOG_LEVEL: trace
  PHOTOPRISM_ORIGINALS_LIMIT: "5000"
  PHOTOPRISM_RAW_PRESETS: "false"
  PHOTOPRISM_READONLY: "false"
  PHOTOPRISM_SITE_AUTHOR: "2tefan"
  PHOTOPRISM_SITE_CAPTION: AI-Powered Photos App
  PHOTOPRISM_SITE_DESCRIPTION: ":)"
  PHOTOPRISM_SITE_URL: http://localhost:2342/
  PHOTOPRISM_UPLOAD_NSFW: "true"
  PHOTOPRISM_TRUSTED_PROXY: "10.0.0.0/8"
  PHOTOPRISM_AUDIT_LEVEL: "debug"

